# ReflectionClass::getDocComment

(PHP 5, PHP 7, PHP 8)

ReflectionClass::getDocComment — Récupère les commentaires de documentation

### Description

public ReflectionClass::getDocComment(): string|false

Récupère les commentaires de documentation depuis une classe. Les commentaires de documentation commencent avec `/**`. S'il y a plusieurs commentaires de documentation au-dessus de la définition de la classe, celle qui est la plus proche de la classe sera prise.

### Liste de paramètres

Cette fonction ne contient aucun paramètre.

### Valeurs de retour

Le commentaire de documentation, s'il existe, `false` sinon.

### Exemples

Exemple #1 Exemple avec ReflectionClass::getDocComment()

`<?php
/**
* A test class
*
* @param foo bar
* @return baz
*/
class TestClass { }
$rc = new ReflectionClass('TestClass');
var_dump($rc->getDocComment());
?>`

L'exemple ci-dessus va afficher :

    string(61) "/**
     * A test class
     *
     * @param  foo bar
     * @return baz
     */"

### Voir aussi

- ReflectionClass::getName() - Récupère le nom de la classe